Retrieve a customer by ID.
GET/customers/{id}
GET
/customers/{id}
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Customer ID
Responses
Section titled “Responses”Customer found
A customer as returned. Timestamps are Unix milliseconds, matching every other resource on this API.
object
created
required
integer format: int64
default_payment_method_id
email
string | null
id
required
Identifier for a customer (cus_…).
string
livemode
required
boolean
metadata
required
object
key
additional properties
string
name
string | null
phone
string | null
updated
required
integer format: int64
No such customer
object
error
required
object
code
required
string
message
required
string
param
string | null
retryable
When present and true, the caller may retry the same request.
boolean | null
type
required
string
